distinguish between local and shared repository dupes
Closed, ResolvedPublic

Description

The current dupelist links exclusively to the local project's file description page. This could lead to wrong links in a situation like the following:

  • We are on Image:foo.jpg
  • There is a dupe version at shared under Image:bar.jpg
  • Local Image:bar.jpg differs from Image:foo.jpg

Same could happen the other way round:

  • A user tags Image:bla.jpg as NowCommons under the name Image:bla2.jpg
  • Local Image:bla2.jpg is a dupe of Image:bla.jpg
  • Shared Image:bla2.jpg is a different file

Both problems massively limit the applicability of the dupe list.


Version: 1.13.x
Severity: minor

bzimport set Reference to bz14147.
adrianheine created this task.Via LegacyMay 16 2008, 9:04 AM
bzimport added a comment.Via ConduitMay 16 2008, 9:08 AM

Bryan.TongMinh wrote:

Can you give me an example? I can't reproduce this; on my local wiki external links are used to distinguish between local and shared files.

Raymond added a comment.Via ConduitMay 16 2008, 9:11 AM

Exa(In reply to comment #1)

Can you give me an example? I can't reproduce this; on my local wiki external
links are used to distinguish between local and shared files.

One example from [[de:Category:NowCommons]]:

http://de.wikipedia.org/wiki/Bild:Albrecht-v-Preussen.JPG links to http://de.wikipedia.org/wiki/Bild:Albertvanpruisen.jpg but should link to http://commons.wikimedia.org/wiki/Image:Albertvanpruisen.jpg

bzimport added a comment.Via ConduitMay 16 2008, 9:27 AM

Bryan.TongMinh wrote:

For some reason a LocalFile is created instead of a LocalDBFile, but the repository is clearly still the shared repository.

Also note the bug that the namespace is translated.

bzimport added a comment.Via ConduitMay 16 2008, 8:51 PM

Bryan.TongMinh wrote:

I can't find the problem. It appears that ForeignDBRepo::newFileFromRow creates an LocalFile. There can be a few possibilities:

  • ForeignDBRepo::findFilesBySha1 is directly inherited from LocalRepo, so it may call LocalRepo::newFileFromRow.
  • ForeignDBFile::newFromRow creates a LocalFile instead of a ForeignDBFile.

Both do not occur to me on a local system, but maybe there is some version incompability between PHP or some caching problem?

bzimport added a comment.Via ConduitMay 30 2008, 9:58 AM

Bryan.TongMinh wrote:

Fixed by brion in r35576.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:44 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.